= Amrita2 -  a xml/xhtml template library for Ruby

== Summary

Amrita2 is a a xml/xhtml template library for Ruby. 
It makes html documents from a template and a model data.

=== Key feature

template:

--- xmlinline
      # 
        <table>
           <tr><th>name</th><th>author</th></tr> 
           <tr id="table1">                        
             <td id="name" /><td id="author" />
           </tr>
        </table>

data:

--- rubyinline 
      # 
         data = {                                               
            :table1=>[                                          
               { :name=>"Ruby", :author=>"matz" },              
               { :name=>"perl", :author=>"Larry Wall" },        
               { :name=>"python", :author=>"Guido van Rossum" },
            ]                                                   
         }                                                      

    
template + data = output:
 
--- xmlinline 
      # 
        <table>                    
          <tr>                     
          <th>name</th>            
          <th>author</th>          
          </tr>                    
          <tr>                     
          <td>Ruby</td>            
          <td>matz</td>            
          </tr>                    
          <tr>                     
          <td>perl</td>            
          .......

* The template for amrita2 is a pure html/xhtml document without no
  special tag like <?...?> or <% .. %>

* The template can be written by designers using almost any xhtml/xml
  Editor.

* Need no change on Ruby code to change the view of _dynamic_ part
  (not only static part) of the template

* The model data may be standard Ruby data, Hash, Array, String... or
  an instance of a classes you made.

* The output is controlled by _data_ not by logic. So It's easy to
  write, test, debug code. (Good for eXtreamPrograming)

Amrita2 mixes a template and model data up to a html document naturally
matching the +id+ attribute of XML element to model data.

=== New Features 

* Amrita2-Rails bridge 
* can use ERB for some elements in Amrita2 template
* It is an XHTML to Ruby compiler, so optimazation for speed is easier than 1.0
* option for special expansion for a special tag like <a> <input> <input type='checkbox'> <dl> <select>...
  in other words, more natural transformation from data to output.

=== Current version and roadmap

Current version is 1.9.6 and it is beta1.

Next release will be RC1.

=== Setup

Amrita2 is pure Ruby library. 

Just copy the (({lib})) directory to any directory in the Ruby library path to use it.

Or type

 # ruby setup.rb install

== mailing list

* ((<Amrita2-users info Page|URL:http://rubyforge.org/mailman/listinfo/amrita2-users>))

== Download

* ((<Rubyforge project page|URL:http://rubyforge.org/projects/amrita2>))

== Online Documents 

* ((<Quick Start Guide|URL:QuickStart.html>)) (((<Japanese|URL:QuickStartJ.html>)))
* ((<How to use Amrita2 with Ruby On Rails|URL:Rails.html>))

* ((<ChangeLog|URL:ChangeLog>))

== sample source

* ((<hello world and simple samples|URL:http://amrita2.rubyforge.org/hello/index.html>))
* ((<using rails|URL:http://amrita2.rubyforge.org/rails/index.html>))

== License

Amrita2 is Copyright (c) 2005 Taku Nakajima
<tnakajima@brain-tokyo.jp>.  It is free software, and may be
redistributed under the terms specified in the README file of the Ruby
distribution.

