require "amrita2"
include Amrita2

TEMPLATE = <<END
<html>
<head>
<title id="header_title"></title>
</head>
<body>
<h1 id="title"></h1>
<table border="1">
  <tr><th>name</th><th>author</th><th>webpage</th></tr>
  <tr id="table">
    <td id="name"></td>
    <td id="author"></td>
    <td><a id="webpage"></a></td>
  </tr>
</table>
</body>
</html>
END

spec = Amrita2::define_tempalte_spec do 
  dynamic_element(:header_title, :delete_id=>true)
  dynamic_element(:title, :delete_id=>true) 
  dynamic_element(:table, :delete_id=>true) do
    dynamic_element(:name, :delete_id=>true) 
    dynamic_element(:author, :delete_id=>true) 
    dynamic_element(:webpage, :replace_attr=>true, :delete_id=>true) 
  end
end

doc = REXML::Document.new TEMPLATE
t = spec.create_template(doc)

$data = File::open("bench.dat").collect do |line|
  line.chomp.split('|')
end

cnt = ARGV.shift.to_i
cnt.times  do
  t.expand_template(STDOUT) do |m|
    m.header_title('amrita benchmark')
    m.title('amrita benchmark')

    $data.each do |name, author, url, web|
      m.table do |ml|
        ml.name(name)
        ml.author(author)
        ml.webpage(web, :href=>url)
      end
    end
  end
end

