require "amrita2/template"
include Amrita2


tmpl = TemplateText.new <<END
<html>
  <body>
    <div id="group">
       <h1 id="title"></h1>
       <div id="no_data">
          <em>This group has no data.</em>
       </div>
       <div id="one_data">
           This group has only one data: <span id='data'></span>.
       </div>
       <div id="many_data">
           Here is the list of this group data.
           <ul>
             <li id="list"></li>
           </ul>
       </div>
     </div>
   </body>
</html>
END

data = [
  ["Group A", %w(only_one)],
  ["Group B", %w(one two three)],
  ["Group C", %w()]
]

tmpl.expand(STDOUT) do |m|
  data.each do |name, d|
    m.group do |m2|
      m2.title(name)
      case d.size
      when 0
        m2.no_data(true)
      when 1
        m2.one_data  do |m3|
          m3.data(d[0])
        end
      else
        m2.many_data do |m4|
          d.each do |i|
            m4.list(i)
          end
        end
      end
    end
  end
end


__END__
<html>
  <body>
    <div>
       <h1>Group A</h1>

       <div>
           This group has only one data: <span>only_one</span>.
       </div>

     </div><div>
       <h1>Group B</h1>


       <div>
           Here is the list of this group data.
           <ul>
             <li>one</li><li>two</li><li>three</li>
           </ul>
       </div>
     </div><div>
       <h1>Group C</h1>
       <div id='no_data'>
          <em>This group has no data.</em>
       </div>


     </div>
   </body>
</html>
