require "amrita2/template"
include Amrita2


Lang = Struct.new(:name, :author, :website)
WebSite = Struct.new(:name, :url)

# class Lang
#   attr_reader :name, :author
#   def initialize(n, a)
#     @name, @author = n, a
#   end
# end
data = {
   'table1'=>[ 
      Lang.new("Ruby", "matz", WebSite.new('Ruby Home Page', 'http://www.ruby-lang.org/')),
      Lang.new("Perl", "Larry Wall", WebSite.new('The Source for Perl', 'http://perl.com/')),
      Lang.new("Python","Guido van Rossum", WebSite.new('Python Programing Language', 'http://www.python.org/'))
   ]
}

tmpl = TemplateText.new <<END
<table border='1'>
  <tr><th>name</th><th>author</th></tr>
  <tr id='table1'>
    <td id='name'></td>
    <td id='author'></td>
  </tr>
</table>
END

tmpl.expand(STDOUT, data)

tmpl = TemplateText.new <<END
<table border='1'>
  <tr><th>name</th><th>author</th></tr>
  <tr id='table1'>
    <td id='name'></td>
    <td id='author'></td>
    <td id='website'><span id='name' /> <br /> <span id='url' /></td>
  </tr>
</table>
END

tmpl.expand(STDOUT, data)

class WebSite 
  def site(m)
     m.site(self.name, :href=>self.url)
  end
end

tmpl = TemplateText.new <<END
<table border='1'>
   <tr><th>name</th><th>author</th><th>website</th></tr>
   <tr id='table1'>
      <td id='name'></td>
      <td id='author'></td>
      <td id='website'><a id='site'/></td>
   </tr>
</table>
END
tmpl.expand(STDOUT, data)


__END__

<table border='1'>
  <tr><th>name</th><th>author</th></tr>
  <tr>
    <td>Ruby</td>
    <td>matz</td>
  </tr><tr>
    <td>Perl</td>
    <td>Larry Wall</td>
  </tr><tr>
    <td>Python</td>
    <td>Guido van Rossum</td>
  </tr>
</table>
<table border='1'>
  <tr><th>name</th><th>author</th></tr>
  <tr>
    <td>Ruby</td>
    <td>matz</td>
    <td><span>Ruby Home Page</span> <br></br> <span>http://www.ruby-lang.org/</span></td>
  </tr><tr>
    <td>Perl</td>
    <td>Larry Wall</td>
    <td><span>The Source for Perl</span> <br></br> <span>http://perl.com/</span></td>
  </tr><tr>
    <td>Python</td>
    <td>Guido van Rossum</td>
    <td><span>Python Programing Language</span> <br></br> <span>http://www.python.org/</span></td>
  </tr>
</table>
<table border='1'>
   <tr><th>name</th><th>author</th><th>website</th></tr>
   <tr>
      <td>Ruby</td>
      <td>matz</td>
      <td><a href='http://www.ruby-lang.org/'>Ruby Home Page</a></td>
   </tr><tr>
      <td>Perl</td>
      <td>Larry Wall</td>
      <td><a href='http://perl.com/'>The Source for Perl</a></td>
   </tr><tr>
      <td>Python</td>
      <td>Guido van Rossum</td>
      <td><a href='http://www.python.org/'>Python Programing Language</a></td>
   </tr>
</table>
