
require 'amrita2/core'

module TodoHelper
  include Amrita2

  def display_item(item)
    { 
      :description=>item.description,
      :item_done=>a(:onclick => %[document.location.href="/todo/toggle_check/#{item.id}";]),
      :edit_link=>a(:href=>"/todo/edit/#{item.id}") { "Edit" },
      :destroy_link => proc do |m|
        msg = "Are you sure you want to delete this entry: #{item.description}"
        onclick=Amrita2::SanitizedString[%[return confirm("#{msg}");]]
        m.destroy_link("Destroy", :href=>"/todo/destroy/#{item.id}", :onclick=>onclick)
      end
    }
  end

  def list_po
    { 
      :done => controller.done.collect do |r|
        display_item(r)
      end,
      :not_done => controller.not_done.collect do |r|
        display_item(r)
      end,
    }
  end
end

