require "amrita2/template"
require "amrita2/a2tdl"
include Amrita2

class PO
  def title
    "hello world"
  end

  def body
    { 
      :amrita2=>'Amrita2',
      :ruby=>['http://www.ruby-lang.org/','Ruby' ]
    }
  end
end

TEMPLATE_TEXT = <<END
<html>
   <body>
      <h1 id='title'>title will be inserted here</h1>
      <div id='body'/>
   </body>
</html>
END


tmpl = TemplateText.new(TEMPLATE_TEXT) do
  Amrita2::define_template_spec do 
    dynamic_element(:title)
    div(:body, :generate_template=>true) do 
      em(:amrita2)
      span(' is a html template libraly for ')
      a_link(:ruby)
    end
  end
end
tmpl.expand(STDOUT, PO.new)

__END__
<html>
   <body>
      <h1 id='title'>hello world</h1>
      <div id='body'>
        <em id='amrita2'>Amrita2</em>
        <span> is a html template libraly for </span>
        <a href='http://www.ruby-lang.org/' id='ruby'>Ruby</a>
      </div>
   </body>
</html>
