require "amrita2/template"
require "amrita2/a2tdl"
include Amrita2

tmpl = Template.new do
  Amrita2::define_template_spec do 
    html do 
      title('hello world')
      div(:body, :generate_template=>true) do 
        em(:amrita2)
        span(' is a html template libraly for ')
        a_link(:ruby)
      end
    end
  end
end

data = { 
  :body => { 
    :amrita2=>'Amrita2',
    :ruby=>['http://www.ruby-lang.org/','Ruby' ]
  }
}
tmpl.expand(STDOUT, data)

__END__
<html>
<head>
  <title>hello world</title>
</head>
<body>
  <h1>hello world</h1>
  <div id='body'>
    <em id='amrita2'>Amrita2</em>
    <span> is a html template libraly for </span>
    <a href='http://www.ruby-lang.org/' id='ruby'>Ruby</a>
  </div>
</body>
</html>
